/*
************************************************************
Styles:     flix//imagetool
(c) sinntun.codes
************************************************************
*/

.uploadifyError {
  padding: 10px 12.5px;
  margin-bottom: 10px;
  font-size: 16px;
  background: rgba(207, 34, 46, 0.125);
  color: #cf222e;
}

.imagetool-uploadcontainer input {
  margin-bottom: 10px;
}

.imagetool-dialog input {
  margin-bottom: 10px;
}

.imagetool-infobox {
  border: 2px solid #808080;
  width: 200px;
  padding: 5px;
  background-color: #e5e5e5;
  position: absolute;
  top: 40px;
  right: 5px;
}

.imagetool-cropimage {
  max-width: 500px;
}

.imagetool-popup-uneditable,
.imagetool-popup-uneditable:hover {
  color: #d4d4d4;
}

/* asset */

.show {
  display: blocK;
}
.hide {
  display: none;
}

.imagetool-upload-canvas {
  clear: both;
}

.imagetool-asset-tool-container {
  padding-top: 5px;
  padding-bottom: 5px;
  clear: both;
  float: left;
  width: 98%;
  margin-bottom: 5px;
}

.imagetool-assetselect-tool-container {
  float: left;
}

.imagetool-assetselect-filter-container {
  margin-left: 150px;
  float: left;
}
.imagetool-assetselect-search-container {
  margin-left: 150px;
  float: left;
}

.imagetool-asset-search-textbox {
  float: left;
  height: 18px;
  padding: 3px;
}

imagetool-asset-search-button {
  float: left;
}

.imagetool-asset-open {
  padding-left: 30px;
  padding-right: 20px;
  background-color: #ffffff;
  color: #000;
}

.imagetool-asset-delete {
  padding-left: 30px;
  padding-right: 20px;
  background-color: #ffffff;
  color: #000;
}

.imagetool-asset-edit {
  clear: both;
  margin-top: 10px;
}

.imagetool-asset-image-container {
  min-height: 290px;
  position: relative;
  clear: both;
}

.asset-select-info {
  clear: both;
  padding: 10px;
}

.imagetool-asset-select-container {
  float: left;
  width: 100%;
  overflow-y: scroll;

  height: 700px;
}

.imagetool-asset-select-container .asset-select-suggest {
  clear: both;
  margin-bottom: 10px;
  padding-bottom: 10px;
  border-bottom: 1px solid #efeff0;
  width: 100%;
  float: left;
}
.imagetool-asset-select-container .asset-select-list {
  width: 100%;
  clear: both;
  float: left;
}

.imagetool-asset-select-container .asset-select-item-info {
  height: 48px;
  overflow: hidden;
  font-size: 11px;
}

.imagetool-asset-select-container .asset-select-item {
  float: left;
  padding: 10px;
  border: 5px solid #ffffff;
}
.imagetool-asset-select-container .asset-select-item.selected {
  border: 5px solid #858585;
}

.asset-save-feedback {
  color: #090;
  padding-top: 10px;
  padding-bottom: 10px;
}

.loading-container {
  position: absolute;
  width: 80%;
  height: 80%;
  min-height: 290px;
}

/* Absolute Center Spinner */
.loading {
  position: absolute;
  z-index: 999;
  height: 2em;
  width: 2em;
  overflow: visible;
  margin: auto;
  top: 0;
  left: 0;
  bottom: 0;
  right: 0;
}

/* Transparent Overlay
.loading:before {
  content: '';
  display: block;
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background-color: rgba(0,0,0,0.3);
}
*/
/* :not(:required) hides these rules from IE9 and below */
.loading:not(:required) {
  /* hide "loading..." text */
  font: 0/0 a;
  color: transparent;
  text-shadow: none;
  background-color: transparent;
  border: 0;
}

.loading:not(:required):after {
  content: "";
  display: block;
  font-size: 10px;
  width: 1em;
  height: 1em;
  margin-top: -0.5em;
  -webkit-animation: spinner 1500ms infinite linear;
  -moz-animation: spinner 1500ms infinite linear;
  -ms-animation: spinner 1500ms infinite linear;
  -o-animation: spinner 1500ms infinite linear;
  animation: spinner 1500ms infinite linear;
  border-radius: 0.5em;
  -webkit-box-shadow:
    rgba(0, 0, 0, 0.75) 1.5em 0 0 0,
    rgba(0, 0, 0, 0.75) 1.1em 1.1em 0 0,
    rgba(0, 0, 0, 0.75) 0 1.5em 0 0,
    rgba(0, 0, 0, 0.75) -1.1em 1.1em 0 0,
    rgba(0, 0, 0, 0.5) -1.5em 0 0 0,
    rgba(0, 0, 0, 0.5) -1.1em -1.1em 0 0,
    rgba(0, 0, 0, 0.75) 0 -1.5em 0 0,
    rgba(0, 0, 0, 0.75) 1.1em -1.1em 0 0;
  box-shadow:
    rgba(0, 0, 0, 0.75) 1.5em 0 0 0,
    rgba(0, 0, 0, 0.75) 1.1em 1.1em 0 0,
    rgba(0, 0, 0, 0.75) 0 1.5em 0 0,
    rgba(0, 0, 0, 0.75) -1.1em 1.1em 0 0,
    rgba(0, 0, 0, 0.75) -1.5em 0 0 0,
    rgba(0, 0, 0, 0.75) -1.1em -1.1em 0 0,
    rgba(0, 0, 0, 0.75) 0 -1.5em 0 0,
    rgba(0, 0, 0, 0.75) 1.1em -1.1em 0 0;
}

/* Animation */

@-webkit-keyframes spinner {
  0% {
    -webkit-transform: rotate(0deg);
    -moz-transform: rotate(0deg);
    -ms-transform: rotate(0deg);
    -o-transform: rotate(0deg);
    transform: rotate(0deg);
  }
  100% {
    -webkit-transform: rotate(360deg);
    -moz-transform: rotate(360deg);
    -ms-transform: rotate(360deg);
    -o-transform: rotate(360deg);
    transform: rotate(360deg);
  }
}
@-moz-keyframes spinner {
  0% {
    -webkit-transform: rotate(0deg);
    -moz-transform: rotate(0deg);
    -ms-transform: rotate(0deg);
    -o-transform: rotate(0deg);
    transform: rotate(0deg);
  }
  100% {
    -webkit-transform: rotate(360deg);
    -moz-transform: rotate(360deg);
    -ms-transform: rotate(360deg);
    -o-transform: rotate(360deg);
    transform: rotate(360deg);
  }
}
@-o-keyframes spinner {
  0% {
    -webkit-transform: rotate(0deg);
    -moz-transform: rotate(0deg);
    -ms-transform: rotate(0deg);
    -o-transform: rotate(0deg);
    transform: rotate(0deg);
  }
  100% {
    -webkit-transform: rotate(360deg);
    -moz-transform: rotate(360deg);
    -ms-transform: rotate(360deg);
    -o-transform: rotate(360deg);
    transform: rotate(360deg);
  }
}
@keyframes spinner {
  0% {
    -webkit-transform: rotate(0deg);
    -moz-transform: rotate(0deg);
    -ms-transform: rotate(0deg);
    -o-transform: rotate(0deg);
    transform: rotate(0deg);
  }
  100% {
    -webkit-transform: rotate(360deg);
    -moz-transform: rotate(360deg);
    -ms-transform: rotate(360deg);
    -o-transform: rotate(360deg);
    transform: rotate(360deg);
  }
}

.imagetool-asset-image-container .loading-container {
  height: 290px;
}

/* WORKAROUNDS */

.imagetool-infobox {
  display: none;
}

label.readonly {
  color: #acacac;
}

input[type="text"]:read-only {
  color: #acacac;
  border-color: #acacac;
}

#asset-select-list-loadmore {
  padding-left: 100px;
  padding-right: 100px;
}
